(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18968,        477]
NotebookOptionsPosition[     18601,        459]
NotebookOutlinePosition[     18956,        475]
CellTagsIndexPosition[     18913,        472]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["\:5186\:9310\:3068\:5e73\:9762\:306e\:5171\:901a\:90e8\
\:5206\:306f\:ff12\:6b21\:66f2\:7dda\:306b\:306a\:308b\:3053\:3068\:306f\:3088\
\:304f\:77e5\:3089\:308c\:3066\:3044\:307e\:3059\:304c\:3001\n\:ff12\:3064\
\:306e\:5185\:63a5\:7403\:3068\:306e\:63a5\:70b9\:304c\:7126\:70b9\:3068\:306a\
\:3063\:3066\:3044\:307e\:3059", "Subsubsection"]], "Text",
 CellChangeTimes->{{3.6244852290597034`*^9, 3.6244853613259907`*^9}, {
  3.624485403828195*^9, 3.6244854050938873`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"c1", "[", 
      RowBox[{"{", 
       RowBox[{"t_", ",", "a_"}], "}"}], "]"}], " ", "=", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"a", "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}], ">", "1"}], "||", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", "t", "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"a", "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}], ">", "1"}]}], ",", 
       ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Show", "[", "\[IndentingNewLine]", " ", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "*", "x"}], "-", "3"}], "  ", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", 
            RowBox[{"Opacity", "[", "0.3", "]"}]}], "}"}]}], ",", 
         RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", ".3", "]"}], ",", 
          RowBox[{"Cone", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "5"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
            RowBox[{"5", "/", "2"}]}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", ".3", "]"}], ",", 
          RowBox[{"Cone", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
            RowBox[{"5", "/", "2"}]}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", ".6", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", 
              RowBox[{"3", 
               RowBox[{
                SqrtBox["5"], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SqrtBox[
                   RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "-", 
                  SqrtBox["5"]}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"Abs", "[", 
             RowBox[{"3", 
              RowBox[{
               RowBox[{
                SqrtBox["5"], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SqrtBox[
                   RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "-", 
                  SqrtBox["5"]}], ")"}]}], "/", 
               SqrtBox["5"]}]}], "]"}]}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", ".6", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", 
              RowBox[{
               RowBox[{"-", "3"}], 
               RowBox[{
                SqrtBox["5"], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SqrtBox[
                   RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "+", 
                  SqrtBox["5"]}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"Abs", "[", 
             RowBox[{
              RowBox[{"-", "3"}], 
              RowBox[{
               RowBox[{
                SqrtBox["5"], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SqrtBox[
                   RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "+", 
                  SqrtBox["5"]}], ")"}]}], "/", 
               SqrtBox["5"]}]}], "]"}]}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "->", "Large"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", 
                  RowBox[{
                   SqrtBox["5"], "/", 
                   RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "-", 
                    SqrtBox["5"]}], ")"}]}]}], "+", "3"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["a", "2"], "+", "1"}], ")"}]}]}], ",", "0", 
             ",", 
             RowBox[{
              RowBox[{"a", "*", "a", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", 
                   RowBox[{
                    SqrtBox["5"], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "-", 
                    SqrtBox["5"]}], ")"}]}]}], "+", "3"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["a", "2"], "+", "1"}], ")"}]}]}], "-", 
              "3"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "\[Rule]", "Large"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "3"}], 
                  RowBox[{
                   SqrtBox["5"], "/", 
                   RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "+", 
                    SqrtBox["5"]}], ")"}]}]}], "+", "3"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["a", "2"], "+", "1"}], ")"}]}]}], ",", "0", 
             ",", 
             RowBox[{
              RowBox[{"a", "*", "a", "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "3"}], 
                   RowBox[{
                    SqrtBox["5"], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    SuperscriptBox["a", "2"], "+", "1"}]], "+", 
                    SqrtBox["5"]}], ")"}]}]}], "+", "3"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["a", "2"], "+", "1"}], ")"}]}]}], "-", 
              "3"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"ParametricPlot3D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "*", 
             RowBox[{
              RowBox[{"Cos", "[", "t", "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"2", "+", 
                RowBox[{"a", "*", 
                 RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}]}], ",", 
            RowBox[{"3", "*", 
             RowBox[{
              RowBox[{"Sin", "[", "t", "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"2", "+", 
                RowBox[{"a", "*", 
                 RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}]}], ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", "*", "a", "*", 
               RowBox[{
                RowBox[{"Cos", "[", "t", "]"}], "/", 
                RowBox[{"(", 
                 RowBox[{"2", "+", 
                  RowBox[{"a", "*", 
                   RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}]}], "-", "3"}], 
             ")"}]}], "}"}], "*", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "t", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"2", "+", 
                 RowBox[{"a", "*", 
                  RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}], ">", "1"}], "||", 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "t", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"2", "+", 
                 RowBox[{"a", "*", 
                  RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}], ">", "1"}]}], 
            ",", ",", "1"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"-", "3.14"}], ",", "3.14"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"BoxRatios", "->", 
        RowBox[{"{", 
         RowBox[{"1", ",", " ", "1", ",", " ", 
          RowBox[{"5", "/", "3"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "->", "False"}]}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5866001343158054`*^9, 3.5866001345814466`*^9}, {
   3.586600203178694*^9, 3.5866002184294777`*^9}, {3.5866008255700045`*^9, 
   3.5866008288201714`*^9}, 3.5866009553273926`*^9, {3.5866010481602883`*^9, 
   3.586601113054244*^9}, {3.5866012216848106`*^9, 3.5866013356281643`*^9}, {
   3.586601379646048*^9, 3.586601466994281*^9}, {3.5866015639255767`*^9, 
   3.58660157123845*^9}, {3.586601611240505*^9, 3.5866016119436636`*^9}, {
   3.5866016710248184`*^9, 3.5866016818066254`*^9}, {3.5866018441587048`*^9, 
   3.5866018619721193`*^9}, {3.5866019694932613`*^9, 
   3.5866021496118784`*^9}, {3.586602225381386*^9, 3.586602362075906*^9}, {
   3.586602436986231*^9, 3.5866024580810633`*^9}, {3.5866025041615553`*^9, 
   3.58660250436469*^9}, {3.586602561633253*^9, 3.5866025650709286`*^9}, {
   3.5866026056823893`*^9, 3.586602623261415*^9}, {3.5866031391785135`*^9, 
   3.586603343251486*^9}, 3.5866034010669518`*^9, 3.5866034733987885`*^9, {
   3.586603598748972*^9, 3.5866036037961044`*^9}, {3.586603758366537*^9, 
   3.586603759960369*^9}, {3.5866082081357512`*^9, 3.5866082115265493`*^9}, {
   3.5866082636854753`*^9, 3.586608290046203*^9}, {3.586608325643527*^9, 
   3.586608340191157*^9}, {3.58660848288597*^9, 3.5866084838078933`*^9}, {
   3.5866341246460915`*^9, 3.5866341534132004`*^9}, {3.586741440646674*^9, 
   3.5867414497252645`*^9}, {3.586741589919958*^9, 3.5867416139368153`*^9}, {
   3.586742875979221*^9, 3.5867428824795527`*^9}, {3.58674293323302*^9, 
   3.5867429709068317`*^9}, {3.624481194146372*^9, 3.6244812106472273`*^9}, {
   3.6244812487899017`*^9, 3.6244812589466925`*^9}, {3.6244823131450825`*^9, 
   3.6244823345317316`*^9}, {3.624482381569477*^9, 3.624482420177722*^9}, {
   3.624482517124791*^9, 3.624482519977433*^9}, {3.6244828282890677`*^9, 
   3.624482833424055*^9}, {3.6244828926413965`*^9, 3.6244828992511144`*^9}, {
   3.6244829521110935`*^9, 3.624482955423765*^9}, 3.6244833828703885`*^9, 
   3.624483472979007*^9, {3.624483528687851*^9, 3.62448354564186*^9}, {
   3.6244836194595995`*^9, 3.6244836996825113`*^9}, {3.624483852120289*^9, 
   3.624483859889631*^9}, {3.624484360747404*^9, 3.6244844575567446`*^9}, {
   3.624484876214031*^9, 3.624484939519127*^9}, {3.624485013970846*^9, 
   3.6244850145958843`*^9}, {3.624485130056222*^9, 3.624485163228131*^9}, {
   3.624488859543772*^9, 3.6244888807167473`*^9}, {3.624489117993018*^9, 
   3.6244891567919064`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -0.7399999999999998, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], -4, 4}}, Typeset`size$$ = {287., {219., 223.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$2197$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = -4}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$2197$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot3D[$CellContext`a$$ $CellContext`x - 
         3, {$CellContext`x, -3, 3}, {$CellContext`y, -3, 3}, 
         PlotStyle -> {Yellow, 
           Opacity[0.3]}, Mesh -> None], 
        Graphics3D[{
          Opacity[0.3], 
          Cone[{{0, 0, 5}, {0, 0, 0}}, 5/2]}], 
        Graphics3D[{
          Opacity[0.3], 
          Cone[{{0, 0, -5}, {0, 0, 0}}, 5/2]}], 
        Graphics3D[{
          Opacity[0.6], 
          
          Sphere[{0, 0, 
            3 (5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] - 5^
             Rational[1, 2]))}, 
           Abs[
           3 ((5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] - 5^
              Rational[1, 2]))/5^Rational[1, 2])]]}], 
        Graphics3D[{
          Opacity[0.6], 
          
          Sphere[{0, 
            0, (-3) (
             5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] + 
             5^Rational[1, 2]))}, 
           
           Abs[(-3) ((
              5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] + 
              5^Rational[1, 2]))/5^Rational[1, 2])]]}], 
        Graphics3D[{PointSize -> Large, 
          
          Point[{$CellContext`a$$ ((
              3 (5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] - 
                5^Rational[1, 2])) + 3)/($CellContext`a$$^2 + 1)), 
            0, ($CellContext`a$$ $CellContext`a$$) ((
               3 (5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] - 
                 5^Rational[1, 2])) + 3)/($CellContext`a$$^2 + 1)) - 3}]}], 
        Graphics3D[{PointSize -> Large, 
          
          Point[{$CellContext`a$$ (((-3) (
                5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] + 
                5^Rational[1, 2])) + 3)/($CellContext`a$$^2 + 1)), 
            0, ($CellContext`a$$ $CellContext`a$$) (((-3) (
                 5^Rational[1, 2]/(($CellContext`a$$^2 + 1)^Rational[1, 2] + 
                 5^Rational[1, 2])) + 3)/($CellContext`a$$^2 + 1)) - 3}]}], 
        ParametricPlot3D[{
          3 (Cos[$CellContext`t]/(2 + $CellContext`a$$ Cos[$CellContext`t])), 
           3 (Sin[$CellContext`t]/(
            2 + $CellContext`a$$ Cos[$CellContext`t])), (3 $CellContext`a$$) (
             Cos[$CellContext`t]/(2 + $CellContext`a$$ Cos[$CellContext`t])) - 
           3} If[
           Or[
           Cos[$CellContext`t]/(2 + $CellContext`a$$ Cos[$CellContext`t]) > 1,
             Sin[$CellContext`t]/(2 + $CellContext`a$$ Cos[$CellContext`t]) > 
            1], Null, 1], {$CellContext`t, -3.14, 3.14}, PlotRange -> 5, 
         PlotStyle -> Thickness[0.005]], 
        PlotRange -> {{-3, 3}, {-3, 3}, {-5, 5}}, BoxRatios -> {1, 1, 5/3}, 
        Boxed -> False], "Specifications" :> {{$CellContext`a$$, -4, 4}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{338., {264., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6244850881946635`*^9, 3.624485164900093*^9, {3.6244888628564434`*^9, 
   3.624488895139367*^9}, 3.624489070474929*^9, {3.6244891449631677`*^9, 
   3.624489158088851*^9}}]
}, Open  ]]
},
WindowSize->{1350, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 496, 6, 61, "Text"],
Cell[CellGroupData[{
Cell[1079, 30, 13148, 332, 400, "Input"],
Cell[14230, 364, 4355, 92, 552, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
